# UAN Basic

The UAN (Universal Account Number) Basic API is a specialized tool designed to facilitate seamless access to basic payment features associated with UANs.

## uan\_basic

`POST` `https://secctrl.tutelar.io/api/v1/kyc/banking/uan_basic`

### Post parameters description is given below

#### 1) Search By UAN Number

| Post Parameter  | Type   | Is Mandatory | Dependency Condition                                                    | Description   |
| --------------- | ------ | ------------ | ----------------------------------------------------------------------- | ------------- |
| `uan_number`    | String | Yes          | -                                                                       | UAN Number    |
| `employee_name` | String | No           | -                                                                       | Employee Name |
| `employer_name` | String | No           | If **employer\_name** is provided, then **employee\_name** is mandatory | Employer Name |

#### 2) Search By Lookups

| Post Parameter  | Type   | Is Mandatory                  | Dependency Condition                                                     | Description                                     |
| --------------- | ------ | ----------------------------- | ------------------------------------------------------------------------ | ----------------------------------------------- |
| `mobile_number` | String | Yes ( Conditional Mandatory ) | If **pan\_number** is provided **mobile\_number** is not mandatory       | UAN Number                                      |
| `pan_number`    | String | Yes ( Conditional Mandatory ) | If **mobile\_number** is provided **pan\_number** is not mandatory       | Pan Number                                      |
| `date_of_birth` | String | No                            | If **date\_of\_birth** is provided, then **employee\_name** is mandatory | Date of birth - format should be **YYYY-MM-DD** |
| `employee_name` | String | No                            | -                                                                        | Employee Name                                   |
| `employer_name` | String | No                            | If **employer\_name** is provided, then **employee\_name** is mandatory  | Employer Name                                   |

### Sample Post Parameters

#### Search By UAN Number

```json
{
   "uan_number": "100782123453",
   "employee_name": "Subin Balachandran",
   "employer_name": "Tutelar Solutions Private Limited"
}
```

#### Search By Lookups

```json
{
   "mobile_number": "9560104075",
   "pan_number": "CNMPS6020K",
   "date_of_birth": "1991-09-07",
   "employee_name": "Subin Balachandran",
   "employer_name": "Tutelar Solutions Private Limited"
}
```

### 200: Success Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "d0abd918-a170-4294-a514-11e9dc6f0cda",
    "status": "completed",
    "result": {
        "summary": {
            "recent_employer_data": {
                "member_id": "TBTAM24160940000012345",
                "establishment_id": "TBTAM2416090000",
                "date_of_exit": "2025-04-03",
                "date_of_joining": "2025-04-03",
                "establishment_name": "VIVEKA RISK MANAGEMENT SERVICES PRIVATE LIMITED",
                "employer_confidence_score": null,
                "matching_uan": "10078218****"
            },
            "matching_uan": "100782123453",
            "is_employed": false,
            "employee_name_match": null,
            "employer_name_match": null,
            "uan_count": 2,
            "date_of_exit_marked": true
        },
        "uan_details": [
            {
                "uan_number": "100782123453",
                "basic_details": {
                    "gender": "MALE",
                    "date_of_birth": "1991-09-07",
                    "employee_confidence_score": null,
                    "name": "Subin Balachandran",
                    "mobile": "",
                    "aadhaar_verification_status": false
                },
                "employment_details": {
                    "member_id": "TBTAM24160940000012345",
                    "establishment_id": "TBTAM2416092345",
                    "date_of_exit": "2025-04-03",
                    "date_of_joining": "2025-04-03",
                    "leave_reason": "",
                    "establishment_name": "VIVEKA RISK MANAGEMENT SERVICES PRIVATE LIMITED",
                    "employer_confidence_score": null
                }
            },
            {
                "uan_number": "100782123465",
                "basic_details": {
                    "gender": "MALE",
                    "date_of_birth": "1991-09-07",
                    "employee_confidence_score": null,
                    "name": "Subin  Balachandran",
                    "mobile": "",
                    "aadhaar_verification_status": false
                },
                "employment_details": {
                    "member_id": "TBTAM00496940000127524",
                    "establishment_id": "TBTAM0049694000",
                    "date_of_exit": "2016-06-02",
                    "date_of_joining": "2016-02-22",
                    "leave_reason": "",
                    "establishment_name": "SUTHERLAND GLOBAL SERVICES P LTD",
                    "employer_confidence_score": null
                }
            }
        ]
    },
    "requested_at": "2025-10-07T07:56:39.001Z",
    "completed_at": "2025-10-07T07:56:39.083Z"
}
```

### 200: In Progress

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "a0bb170f-c250-4d55-8ccc-6b2725a328ea",
    "status": "in_progress",
    "requested_at": "2025-10-07T06:24:35.658Z"
}
```

### 400: Validation Error Response

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Please provide either UAN, PAN, or mobile number.",
        "field": "",
        "code": "BAD_REQUEST"
    }
}
```

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "UAN should contain 12 digit number",
        "field": "uan_number",
        "code": "BAD_REQUEST"
    }
}
```

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Employer Name cannot be provided if Employee Name is empty",
        "field": "employer_name",
        "code": "BAD_REQUEST"
    }
}
```

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Invalid Pan Number",
        "field": "pan_number",
        "code": "BAD_REQUEST"
    }
}
```

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Invalid Mobile Number",
        "field": "mobile_number",
        "code": "BAD_REQUEST"
    }
}
```

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Date of Birth must be in yyyy-mm-dd format",
        "field": "date_of_birth",
        "code": "BAD_REQUEST"
    }
}
```

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Employee name should not be empty when date of birth is provided.",
        "field": "",
        "code": "BAD_REQUEST"
    }
}
```

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Employer Name cannot be provided if Employee Name is empty",
        "field": "employer_name",
        "code": "BAD_REQUEST"
    }
}
```

### 200: Failure Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "a0bb170f-c250-4d55-8ccc-6b2725a328ea",
    "status": "failed",
    "error": {
        "message": "No record(s) found",
        "code": "ERROR"
    },
    "requested_at": "2025-10-07T07:44:34.465Z",
    "completed_at": "2025-10-07T07:44:34.858Z"
}
```

## Check Document Status

### Get document details

This Get details API using to fetch the latest updated response when the above API gave the status as in-progress by using the `reference_id`

`GET` `https://secctrl.tutelar.io/api/v1/kyc/banking/uan_basic`

### Query parameters description is given below

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | ------------ | --------------------- |
| `reference_id`  | String | Yes          | Document reference id |

### 200: Success Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "d0abd918-a170-4294-a514-11e9dc6f0cda",
    "status": "completed",
    "result": {
        "summary": {
            "recent_employer_data": {
                "member_id": "TBTAM24160940000012345",
                "establishment_id": "TBTAM2416090000",
                "date_of_exit": "2025-04-03",
                "date_of_joining": "2025-04-03",
                "establishment_name": "VIVEKA RISK MANAGEMENT SERVICES PRIVATE LIMITED",
                "employer_confidence_score": null,
                "matching_uan": "10078218****"
            },
            "matching_uan": "100782123453",
            "is_employed": false,
            "employee_name_match": null,
            "employer_name_match": null,
            "uan_count": 2,
            "date_of_exit_marked": true
        },
        "uan_details": [
            {
                "uan_number": "100782123453",
                "basic_details": {
                    "gender": "MALE",
                    "date_of_birth": "1991-09-07",
                    "employee_confidence_score": null,
                    "name": "Subin Balachandran",
                    "mobile": "",
                    "aadhaar_verification_status": false
                },
                "employment_details": {
                    "member_id": "TBTAM24160940000012345",
                    "establishment_id": "TBTAM2416092345",
                    "date_of_exit": "2025-04-03",
                    "date_of_joining": "2025-04-03",
                    "leave_reason": "",
                    "establishment_name": "VIVEKA RISK MANAGEMENT SERVICES PRIVATE LIMITED",
                    "employer_confidence_score": null
                }
            },
            {
                "uan_number": "100782123465",
                "basic_details": {
                    "gender": "MALE",
                    "date_of_birth": "1991-09-07",
                    "employee_confidence_score": null,
                    "name": "Subin  Balachandran",
                    "mobile": "",
                    "aadhaar_verification_status": false
                },
                "employment_details": {
                    "member_id": "TBTAM00496940000127524",
                    "establishment_id": "TBTAM0049694000",
                    "date_of_exit": "2016-06-02",
                    "date_of_joining": "2016-02-22",
                    "leave_reason": "",
                    "establishment_name": "SUTHERLAND GLOBAL SERVICES P LTD",
                    "employer_confidence_score": null
                }
            }
        ]
    },
    "requested_at": "2025-10-07T07:56:39.001Z",
    "completed_at": "2025-10-07T07:56:39.083Z"
}
```

### 200: In Progress

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "a0bb170f-c250-4d55-8ccc-6b2725a328ea",
    "status": "in_progress",
    "requested_at": "2025-10-07T06:24:35.658Z"
}
```

### 200: Failure Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "a0bb170f-c250-4d55-8ccc-6b2725a328ea",
    "status": "failed",
    "error": {
        "message": "No record(s) found",
        "code": "ERROR"
    },
    "requested_at": "2025-10-07T07:44:34.465Z",
    "completed_at": "2025-10-07T07:44:34.858Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/uan-basic.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
